diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectWorld.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectWorld.java
index e4821053f..2f3353b6e 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectWorld.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenSelectWorld.java
@@ -3,8 +3,7 @@ package net.minecraft.client.gui;
 import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.client.gui.popup.PopupScreen;
 import net.minecraft.client.gui.popup.PopupBuilder;
-import net.minecraft.client.gui.worldsettings.ScreenWorldSettings;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.core.Global;
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.player.gamemode.Gamemode;
@@ -29,8 +28,7 @@ import java.util.HashMap;
 import java.util.List;
 import java.util.Map;
 
-public class ScreenSelectWorld extends Screen
-{
+public class ScreenSelectWorld extends Screen {
     private final DateFormat dateFormatter = new SimpleDateFormat();
     protected String stringTitle;
     private boolean selected;
@@ -45,27 +43,24 @@ public class ScreenSelectWorld extends Screen
     private ButtonElement buttonSelect;
     private ButtonElement buttonDelete;
 
-    public ScreenSelectWorld(Screen parent)
-    {
+    public ScreenSelectWorld(Screen parent) {
         super(parent);
-        stringTitle = "Select world";
-        selected = false;
-        selectedWorld = -1;
+        this.stringTitle = "Select world";
+        this.selected = false;
+        this.selectedWorld = -1;
     }
 
     @Override
-    public void init()
-    {
+    public void init() {
         I18n i18n = I18n.getInstance();
-        stringTitle = i18n.translateKey("gui.select_world.label.title");
-        stringWorld = i18n.translateKey("gui.select_world.label.world");
-        stringConversion = i18n.translateKey("gui.select_world.label.must_be_converted");
-        if (Global.DISABLE_OLD_WORLDS)
-        {
-            stringConversion = i18n.translateKey("gui.select_world.label.outdated");
+        this.stringTitle = i18n.translateKey("gui.select_world.label.title");
+        this.stringWorld = i18n.translateKey("gui.select_world.label.world");
+        this.stringConversion = i18n.translateKey("gui.select_world.label.must_be_converted");
+        if (Global.DISABLE_OLD_WORLDS) {
+            this.stringConversion = i18n.translateKey("gui.select_world.label.outdated");
         }
         loadSaves();
-        worldSlotContainer = new WorldSlot();
+        this.worldSlotContainer = new WorldSlot();
         initButtons();
     }
 
@@ -73,13 +68,13 @@ public class ScreenSelectWorld extends Screen
     public void keyPressed(char eventCharacter, int eventKey, int mx, int my) {
         super.keyPressed(eventCharacter, eventKey, mx, my);
         if (eventKey == Keyboard.KEY_UP) {
-            if (selectedWorld > 0) {
-                worldSlotContainer.selectItem(selectedWorld - 1, false);
+            if (this.selectedWorld > 0) {
+                this.worldSlotContainer.selectItem(this.selectedWorld - 1, false);
             }
         }
         if (eventKey == Keyboard.KEY_DOWN) {
-            if (selectedWorld < saveList.size() - 1) {
-                worldSlotContainer.selectItem(selectedWorld + 1, false);
+            if (this.selectedWorld < this.saveList.size() - 1) {
+                this.worldSlotContainer.selectItem(this.selectedWorld + 1, false);
             }
         }
         if (eventKey == Keyboard.KEY_DELETE) {
@@ -87,64 +82,55 @@ public class ScreenSelectWorld extends Screen
         }
     }
 
-    private void loadSaves()
-    {
-        ISaveFormat saveFormat = mc.getSaveFormat();
-        saveList = saveFormat.getSaveFileList();
-        userTags = new HashMap<>();
-        for (SaveFile file : saveList) {
+    private void loadSaves() {
+        ISaveFormat saveFormat = this.mc.getSaveFormat();
+        this.saveList = saveFormat.getSaveFileList();
+        this.userTags = new HashMap<>();
+        for (SaveFile file : this.saveList) {
             LevelStorage levelStorage = saveFormat.getSaveHandler(file.getFileName(), false);
             LevelData data = levelStorage.getLevelData();
             if (data != null && data.getLastPlayerUUID() != null) {
-                userTags.put(file, levelStorage.getPlayerData(null, data.getLastPlayerUUID()));
+                this.userTags.put(file, levelStorage.getPlayerData(null, data.getLastPlayerUUID()));
             } else {
-                userTags.put(file, levelStorage.getPlayerData(mc.session.username, mc.session.uuid));
+                this.userTags.put(file, levelStorage.getPlayerData(this.mc.session.username, this.mc.session.uuid));
             }
         }
-        Collections.sort(saveList);
-        if (selectedWorld >= saveList.size())
-        {
-            selectedWorld = -1;
+        Collections.sort(this.saveList);
+        if (this.selectedWorld >= this.saveList.size()) {
+            this.selectedWorld = -1;
         }
     }
 
-    protected String getSaveFileName(int i)
-    {
-        return saveList.get(i).getFileName();
+    protected String getSaveFileName(int i) {
+        return this.saveList.get(i).getFileName();
     }
 
-    protected String getSaveName(int i)
-    {
-        String s = saveList.get(i).getDisplayName();
-        if(MathHelper.stringNullOrLengthZero(s))
-        {
+    protected String getSaveName(int i) {
+        String s = this.saveList.get(i).getDisplayName();
+        if (MathHelper.stringNullOrLengthZero(s)) {
             I18n i18n = I18n.getInstance();
-            s = i18n.translateKeyAndFormat(stringWorld, i + 1);
+            s = i18n.translateKeyAndFormat(this.stringWorld, i + 1);
         }
         return s;
     }
 
-    public void initButtons()
-    {
+    public void initButtons() {
         I18n i18n = I18n.getInstance();
-        buttons.add(buttonSelect = new ButtonElement(1, width / 2 - 154, height - 52, 150, 20, i18n.translateKey("gui.select_world.button.play_selected_world")));
-        buttons.add(buttonRename = new ButtonElement(6, width / 2 - 154, height - 28, 70, 20, i18n.translateKey("gui.select_world.button.rename")));
-        buttons.add(buttonDelete = new ButtonElement(2, width / 2 - 74, height - 28, 70, 20, i18n.translateKey("gui.select_world.button.delete")));
-        buttons.add(new ButtonElement(3, width / 2 + 4, height - 52, 150, 20, i18n.translateKey("gui.select_world.button.create_new_world")));
-        buttons.add(new ButtonElement(0, width / 2 + 4, height - 28, 150, 20, i18n.translateKey("gui.select_world.button.cancel")));
-        buttonSelect.enabled = false;
-        buttonRename.enabled = false;
-        buttonDelete.enabled = false;
+        this.buttons.add(this.buttonSelect = new ButtonElement(1, this.width / 2 - 154, this.height - 52, 150, 20, i18n.translateKey("gui.select_world.button.play_selected_world")));
+        this.buttons.add(this.buttonRename = new ButtonElement(6, this.width / 2 - 154, this.height - 28, 70, 20, i18n.translateKey("gui.select_world.button.rename")));
+        this.buttons.add(this.buttonDelete = new ButtonElement(2, this.width / 2 - 74, this.height - 28, 70, 20, i18n.translateKey("gui.select_world.button.delete")));
+        this.buttons.add(new ButtonElement(3, this.width / 2 + 4, this.height - 52, 150, 20, i18n.translateKey("gui.select_world.button.create_new_world")));
+        this.buttons.add(new ButtonElement(0, this.width / 2 + 4, this.height - 28, 150, 20, i18n.translateKey("gui.select_world.button.cancel")));
+        this.buttonSelect.enabled = false;
+        this.buttonRename.enabled = false;
+        this.buttonDelete.enabled = false;
     }
 
-    public void deletePresetWorld(String name)
-    {
-        for (int i = 0; i < saveList.size(); i++)
-        {
-            SaveFile save = saveList.get(i);
-            if (save.getDisplayName().equals(name))
-            {
-                deleting = true;
+    public void deletePresetWorld(String name) {
+        for (int i = 0; i < this.saveList.size(); i++) {
+            SaveFile save = this.saveList.get(i);
+            if (save.getDisplayName().equals(name)) {
+                this.deleting = true;
                 deleteWorld(true, i);
                 i--;
             }
@@ -152,13 +138,12 @@ public class ScreenSelectWorld extends Screen
     }
 
     void tryDeleteWorld(boolean skipConfirm) {
-        if (selectedWorld < 0 || selectedWorld >= saveList.size()) return;
-        String s = getSaveName(selectedWorld);
-        if(s != null)
-        {
-            deleting = true;
+        if (this.selectedWorld < 0 || this.selectedWorld >= this.saveList.size()) return;
+        String s = getSaveName(this.selectedWorld);
+        if (s != null) {
+            this.deleting = true;
             if (skipConfirm) {
-                deleteWorld(true, selectedWorld);
+                deleteWorld(true, this.selectedWorld);
             } else {
                 I18n i18n = I18n.getInstance();
                 PopupScreen popup = new PopupBuilder(this, 250)
@@ -167,170 +152,147 @@ public class ScreenSelectWorld extends Screen
                     .withLabel("gui.select_world.label.delete_confirm.1")
                     .withLabelLiteral(i18n.translateKeyAndFormat("gui.select_world.label.delete_confirm.2", s))
                     .withLabelLiteral("")
-                    .withButtonGroup("endButtons", new String[] { "gui.select_world.button.delete", "gui.select_world.button.cancel" }, new int[] { 1, 0 })
+                    .withButtonGroup("endButtons", new String[]{"gui.select_world.button.delete", "gui.select_world.button.cancel"}, new int[]{1, 0})
                     .withOnCloseListener((statusCode, results) -> {
-                        if (statusCode == 1)
-                        {
-                            deleteWorld(true, selectedWorld);
+                        if (statusCode == 1) {
+                            deleteWorld(true, this.selectedWorld);
                         }
                     })
                     .build();
-                mc.displayScreen(popup);
+                this.mc.displayScreen(popup);
             }
         }
 
     }
 
     @Override
-    protected void buttonClicked(@NotNull ButtonElement button)
-    {
-        if(!button.enabled) {
+    protected void buttonClicked(@NotNull ButtonElement button) {
+        if (!button.enabled) {
             return;
         }
-        if(button.id == 2) {
+        if (button.id == 2) {
             tryDeleteWorld(false);
-        }
-        else if(button.id == 1) {
-            selectWorld(selectedWorld);
-        }
-        else if(button.id == 3) {
-            mc.displayScreen(new ScreenCreateWorld(this));
-        }
-        else if(button.id == 6) {
+        } else if (button.id == 1) {
+            selectWorld(this.selectedWorld);
+        } else if (button.id == 3) {
+            this.mc.displayScreen(new ScreenCreateWorld(this));
+        } else if (button.id == 6) {
             PopupScreen popup = new PopupBuilder(this, 140)
-                    .closeOnEsc(0)
-                    .closeOnEnter(1)
-                    .withLabel("gui.select_world.label.rename_title")
-                    .withLabel("gui.select_world.label.world_name")
-                    .withTextField("nameField", getSaveName(selectedWorld))
-                    .withButtonGroup("endButtons", new String[] { "gui.select_world.button.rename", "gui.select_world.button.cancel" }, new int[] { 1, 0 })
-                    .withOnCloseListener(((statusCode, results) -> {
-                        if (statusCode == 1)
-                        {
-                            String text = (String) results.get("nameField");
-                            ISaveFormat format = mc.getSaveFormat();
-                            format.renameWorld(getSaveFileName(selectedWorld), text);
-                            loadSaves();
-                        }
-                    }))
-                    .build();
-            mc.displayScreen(popup);
-        }
-        else if(button.id == 0)
-        {
-            mc.displayScreen(parentScreen);
+                .closeOnEsc(0)
+                .closeOnEnter(1)
+                .withLabel("gui.select_world.label.rename_title")
+                .withLabel("gui.select_world.label.world_name")
+                .withTextField("nameField", getSaveName(this.selectedWorld))
+                .withButtonGroup("endButtons", new String[]{"gui.select_world.button.rename", "gui.select_world.button.cancel"}, new int[]{1, 0})
+                .withOnCloseListener(((statusCode, results) -> {
+                    if (statusCode == 1) {
+                        String text = (String) results.get("nameField");
+                        ISaveFormat format = this.mc.getSaveFormat();
+                        format.renameWorld(getSaveFileName(this.selectedWorld), text);
+                        loadSaves();
+                    }
+                }))
+                .build();
+            this.mc.displayScreen(popup);
+        } else if (button.id == 0) {
+            this.mc.displayScreen(this.parentScreen);
         }
     }
 
-    public void selectWorld(int i)
-    {
-        SaveFile save = saveList.get(i);
+    public void selectWorld(int i) {
+        SaveFile save = this.saveList.get(i);
         if (save.isCorrupted()) return;
-        if (save.getNeedsConversion() && Global.DISABLE_OLD_WORLDS)
-        {
+        if (save.getNeedsConversion() && Global.DISABLE_OLD_WORLDS) {
             return;
         }
 
-        mc.displayScreen(null);
-        if(selected)
-        {
+        this.mc.displayScreen(null);
+        if (this.selected) {
             return;
         }
-        selected = true;
-        mc.playerController = new PlayerControllerSP(mc);
+        this.selected = true;
+        this.mc.playerController = new PlayerControllerSP(this.mc);
         String s = getSaveFileName(i);
-        if(s == null)
-        {
+        if (s == null) {
             s = "World" + i;
         }
-        mc.startWorld(s);
-        mc.displayScreen(null);
+        this.mc.startWorld(s);
+        this.mc.displayScreen(null);
     }
 
-    public void deleteWorld(boolean flag, int i)
-    {
-        if(deleting)
-        {
-            deleting = false;
-            if(flag)
-            {
-                ISaveFormat isaveformat = mc.getSaveFormat();
+    public void deleteWorld(boolean flag, int i) {
+        if (this.deleting) {
+            this.deleting = false;
+            if (flag) {
+                ISaveFormat isaveformat = this.mc.getSaveFormat();
                 isaveformat.flushCache();
                 isaveformat.deleteSave(getSaveFileName(i));
                 loadSaves();
-                selectedWorld = -1;
+                this.selectedWorld = -1;
             }
-            mc.displayScreen(this);
+            this.mc.displayScreen(this);
         }
     }
 
     @Override
-    public void render(int mx, int my, float partialTick)
-    {
-        worldSlotContainer.render(mx, my, partialTick);
-        drawStringCenteredShadow(fontRenderer, stringTitle, width / 2, 20, 0xffffff);
+    public void render(int mx, int my, float partialTick) {
+        this.worldSlotContainer.render(mx, my, partialTick);
+        drawStringCenteredShadow(this.fontRenderer, this.stringTitle, this.width / 2, 20, 0xffffff);
         super.render(mx, my, partialTick);
     }
 
-    class WorldSlot extends ScrolledSelectionList
-    {
+    class WorldSlot extends ScrolledSelectionList {
         private final @NotNull StringBuilder nameBuilder = new StringBuilder();
         private final @NotNull StringBuilder descBuilder1 = new StringBuilder();
         private final @NotNull StringBuilder descBuilder2 = new StringBuilder();
+
         public WorldSlot() {
-            super(mc, width, height, 32, height - 64, 36);
+            super(ScreenSelectWorld.this.mc, ScreenSelectWorld.this.width, ScreenSelectWorld.this.height, 32, ScreenSelectWorld.this.height - 64, 36);
         }
 
         @Override
-        protected int getItemCount()
-        {
-            return saveList.size();
+        protected int getItemCount() {
+            return ScreenSelectWorld.this.saveList.size();
         }
 
         @Override
-        protected void selectItem(int itemIndex, boolean doubleClicked)
-        {
-            selectedWorld = itemIndex;
-            boolean flag1 = selectedWorld >= 0 && selectedWorld < getItemCount();
-            boolean corrupted = saveList.get(itemIndex) == null || saveList.get(itemIndex).isCorrupted();
-            buttonSelect.enabled = flag1 && !corrupted;
-            buttonRename.enabled = flag1 && !corrupted;
-            buttonDelete.enabled = flag1;
-            if(doubleClicked && flag1)
-            {
+        protected void selectItem(int itemIndex, boolean doubleClicked) {
+            ScreenSelectWorld.this.selectedWorld = itemIndex;
+            boolean flag1 = ScreenSelectWorld.this.selectedWorld >= 0 && ScreenSelectWorld.this.selectedWorld < getItemCount();
+            boolean corrupted = ScreenSelectWorld.this.saveList.get(itemIndex) == null || ScreenSelectWorld.this.saveList.get(itemIndex).isCorrupted();
+            ScreenSelectWorld.this.buttonSelect.enabled = flag1 && !corrupted;
+            ScreenSelectWorld.this.buttonRename.enabled = flag1 && !corrupted;
+            ScreenSelectWorld.this.buttonDelete.enabled = flag1;
+            if (doubleClicked && flag1) {
                 selectWorld(itemIndex);
             }
         }
 
         @Override
-        protected boolean isSelectedItem(int itemIndex)
-        {
-            return itemIndex == selectedWorld;
+        protected boolean isSelectedItem(int itemIndex) {
+            return itemIndex == ScreenSelectWorld.this.selectedWorld;
         }
 
         @Override
-        protected int getMaxPosition()
-        {
-            return saveList.size() * 36;
+        protected int getMaxPosition() {
+            return ScreenSelectWorld.this.saveList.size() * 36;
         }
 
         @Override
-        protected void renderHoleBackground()
-        {
+        protected void renderHoleBackground() {
             renderBackground();
         }
 
         @Override
-        protected void renderItem(int index, int x, int y, int height, @NotNull Tessellator t)
-        {
-            nameBuilder.setLength(0);
-            descBuilder1.setLength(0);
-            descBuilder2.setLength(0);
+        protected void renderItem(int index, int x, int y, int height, @NotNull TessellatorGeneral t) {
+            this.nameBuilder.setLength(0);
+            this.descBuilder1.setLength(0);
+            this.descBuilder2.setLength(0);
 
             I18n i18n = I18n.getInstance();
-            SaveFile saveFile = saveList.get(index);
+            SaveFile saveFile = ScreenSelectWorld.this.saveList.get(index);
 
-            CompoundTag userTag = userTags.get(saveFile);
+            CompoundTag userTag = ScreenSelectWorld.this.userTags.get(saveFile);
             Gamemode gamemode;
             if (userTag != null) {
                 gamemode = Gamemode.gamemodesList[userTag.getInteger("Gamemode")];
@@ -339,44 +301,42 @@ public class ScreenSelectWorld extends Screen
             }
 
             final String saveName = saveFile.getDisplayName();
-            if (saveFile.isCorrupted()) nameBuilder.append(TextFormatting.RED);
-            if(MathHelper.stringNullOrLengthZero(saveName)) {
-                nameBuilder.append(i18n.translateKeyAndFormat(stringWorld, index + 1));
+            if (saveFile.isCorrupted()) this.nameBuilder.append(TextFormatting.RED);
+            if (MathHelper.stringNullOrLengthZero(saveName)) {
+                this.nameBuilder.append(i18n.translateKeyAndFormat(ScreenSelectWorld.this.stringWorld, index + 1));
             } else {
-                nameBuilder.append(saveName);
+                this.nameBuilder.append(saveName);
             }
 
             long sizeBytes = saveFile.getSizeOnDisk();
-            descBuilder1.append(saveFile.getFileName());
-            descBuilder1.append(" (").append(dateFormatter.format(new Date(saveFile.getLastTimePlayed())));
-            descBuilder1.append(", ").append((float) (((sizeBytes / 1024L) * 100L) / 1024L) / 100F).append(" MB)");
+            this.descBuilder1.append(saveFile.getFileName());
+            this.descBuilder1.append(" (").append(ScreenSelectWorld.this.dateFormatter.format(new Date(saveFile.getLastTimePlayed())));
+            this.descBuilder1.append(", ").append((float) (((sizeBytes / 1024L) * 100L) / 1024L) / 100F).append(" MB)");
 
-            if(saveFile.getNeedsConversion())
-            {
-                descBuilder2.append(stringConversion).append(" ");
-            }
-            else
-            {
+            if (saveFile.getNeedsConversion()) {
+                this.descBuilder2.append(ScreenSelectWorld.this.stringConversion).append(" ");
+            } else {
                 I18n st = I18n.getInstance();
                 LevelData ld = saveFile.getLevelData();
                 DimensionData dd = saveFile.getDimensionData().get(0);
-                if (dd == null){
-                    descBuilder2.append(TextFormatting.RED).append(st.translateKey("gui.select_world.label.dimension_corrupted"));
+                if (dd == null) {
+                    this.descBuilder2.append(TextFormatting.RED).append(st.translateKey("gui.select_world.label.dimension_corrupted"));
                 } else {
-                    descBuilder2.append(st.translateKey(gamemode.getLanguageKey() + ".name"));
-                    if (ld != null && ld.getCheatsEnabled()) descBuilder2.append(" | ").append(st.translateKey("gui.select_world.label.cheats"));
+                    this.descBuilder2.append(st.translateKey(gamemode.getLanguageKey() + ".name"));
+                    if (ld != null && ld.getCheatsEnabled())
+                        this.descBuilder2.append(" | ").append(st.translateKey("gui.select_world.label.cheats"));
                     WorldType worldType = dd.getWorldType();
                     if (worldType != null) {
-                        descBuilder2.append(" | ").append(st.translateKey(dd.getWorldType().getLanguageKey() + ".name"));
+                        this.descBuilder2.append(" | ").append(st.translateKey(dd.getWorldType().getLanguageKey() + ".name"));
                     } else {
-                        descBuilder2.append(" | ").append(TextFormatting.RED).append(st.translateKey("gui.select_world.label.unknown"));
+                        this.descBuilder2.append(" | ").append(TextFormatting.RED).append(st.translateKey("gui.select_world.label.unknown"));
                     }
                 }
             }
 
-            drawStringShadow(fontRenderer, nameBuilder, x + 2, y + 1, 0xffffff);
-            drawStringShadow(fontRenderer, descBuilder1, x + 2, y + 12, 0x808080);
-            drawStringShadow(fontRenderer, descBuilder2, x + 2, y + 12 + 10, 0x808080);
+            drawStringShadow(ScreenSelectWorld.this.fontRenderer, this.nameBuilder, x + 2, y + 1, 0xffffff);
+            drawStringShadow(ScreenSelectWorld.this.fontRenderer, this.descBuilder1, x + 2, y + 12, 0x808080);
+            drawStringShadow(ScreenSelectWorld.this.fontRenderer, this.descBuilder2, x + 2, y + 12 + 10, 0x808080);
         }
     }
 }
